/*:
* @target MZ
* @plugindesc Damage Base
* @author Marrend
*
* @help damage_base.js
*
* This plugin allows users to apply a note-tag to weapons and/or enemies to define a base-line point for
* damage calulations.
*
* While the HoMM damage-system is recommended, it is not nessessarily required. However, under that system,
* the intent would be a damage formulae that look like...
*
* damage(a.damage_base, a.atk, b.def)
* damage(a.damage_base/2, a.atk, 0)
* damage(a.damage_base*0.75, a.atk, b.def)
* damage(a.damage_base+50, a.atk, b.def)
*
* ...or whatever.
*
* The note-tag, itself, would simply be...
*
* <damage: 10>
*
* ...that, or something to that effect.
*
* This plugin does not provide commands.
*/

Object.defineProperty(Game_Actor.prototype, "damage_base", {
    get: function() {
		weap_id = this._equips[0]._itemId;
		if (weap_id > 0) {
			return Number($dataWeapons[weap_id].meta.damage);
		} else {
			return 1;
		};
    }
});

Object.defineProperty(Game_Enemy.prototype, "damage_base", {
	get: function() {
		notes = $dataEnemies[this._enemyId].meta;
		if (notes.damage) {
			return Number(notes.damage);
		} else {
			return 1;
		};
	}
});
