/*:
* @target MZ
* @plugindesc Marrend's miscallanious scripts
* @author Marrend
*
* @help marrend_misc.js
*
* This plugin is a collection of mini-scripts that are too small to distribute by themselves. There are no commands associated with any of them.
*
* Here's a run-down of the things this does:
*
* -Removes LUK as a factor from determining state application.
* -Adds LUK as a factor in determine critical hit amounts.
* -Adds a "rest_all" script-call to restore health/mana/status to all available actors, even if they are not in the party.
* -Enables CTRL as a fast-forward button for text.
*/

// Remove LUK from state application.
Game_Action.prototype.lukEffectRate = function(target) {
    return 1.0;
};

// Add a part of LUK to critical damage.
Game_Action.prototype.applyCritical = function(damage) {
	actor = this.subject();
    return (damage + (actor.luk / 16)) * 2;
};

// Restores HP/MP/status to all actors.
function rest_all() {
	let i = 1;
	while(i < $dataActors.length) {
		actor = $gameActors.actor(i);
		actor.recoverAll();
		i++;
	};
};

// Fast-forward methods.
Window_Message.prototype.isTriggered = function() {
    return (
        Input.isRepeated("ok") ||
        Input.isRepeated("cancel") ||
		Input.isPressed("control") ||
        TouchInput.isRepeated()
    );
};
Window_BattleLog.prototype.isFastForward = function() {
    return (
        Input.isLongPressed("ok") ||
		Input.isPressed("control") ||
        Input.isPressed("shift") ||
        TouchInput.isLongPressed()
    );
};

Window_ScrollText.prototype.isFastForward = function() {
    if ($gameMessage.scrollNoFast()) {
        return false;
    } else {
        return (
            Input.isPressed("ok") ||
			Input.isPressed("control") ||
            Input.isPressed("shift") ||
            TouchInput.isPressed()
        );
    }
};

Scene_Map.prototype.isFastForward = function() {
    return (
        $gameMap.isEventRunning() &&
        !SceneManager.isSceneChanging() &&
        (Input.isLongPressed("ok") || Input.isPressed("control") || TouchInput.isLongPressed())
    );
};
