/*:
* @target MZ
* @plugindesc Loading Games from the menu.
* @author Marrend
*
* @help menu_loading.js
*
* This plugin allows for the loading of games from the party-menu.
*
* It does not provide plugin commands.
*/

const win_menucommand_addsavecommand = Window_MenuCommand.prototype.addSaveCommand;
// Aliased function
Window_MenuCommand.prototype.addSaveCommand = function() {
	const enabled = DataManager.isAnySavefileExists();
	this.addCommand(TextManager.continue_, "load", enabled);
	win_menucommand_addsavecommand.apply(this);
};

Scene_Menu.prototype.createCommandWindow = function() {
    const rect = this.commandWindowRect();
    const commandWindow = new Window_MenuCommand(rect);
    commandWindow.setHandler("item", this.commandItem.bind(this));
    commandWindow.setHandler("skill", this.commandPersonal.bind(this));
    commandWindow.setHandler("equip", this.commandPersonal.bind(this));
    commandWindow.setHandler("status", this.commandPersonal.bind(this));
    commandWindow.setHandler("formation", this.commandFormation.bind(this));
    commandWindow.setHandler("options", this.commandOptions.bind(this));
    commandWindow.setHandler("save", this.commandSave.bind(this));
	commandWindow.setHandler("load", this.commandLoad.bind(this));
    commandWindow.setHandler("gameEnd", this.commandGameEnd.bind(this));
    commandWindow.setHandler("cancel", this.popScene.bind(this));
    this.addWindow(commandWindow);
    this._commandWindow = commandWindow;
};

Scene_Menu.prototype.commandLoad = function() {
	SceneManager.push(Scene_Load);
};
